# Travel Partner API

The Travel Partner API provides you with a RESTful interface to the Google Hotel Center platform. It enables an app to efficiently retrieve and change Hotel Center data, and is thus suitable for managing large or complex accounts.

- [REST Resource: v3.accounts.accountLinks](https://developers.google.com/hotels/hotel-prices/api-reference/rest#v3.accounts.accountLinks)
- [REST Resource: v3.accounts.brands](https://developers.google.com/hotels/hotel-prices/api-reference/rest#v3.accounts.brands)
- [REST Resource: v3.accounts.freeBookingLinksReportViews](https://developers.google.com/hotels/hotel-prices/api-reference/rest#v3.accounts.freeBookingLinksReportViews)
- [REST Resource: v3.accounts.hotelViews](https://developers.google.com/hotels/hotel-prices/api-reference/rest#v3.accounts.hotelViews)
- [REST Resource: v3.accounts.hotels](https://developers.google.com/hotels/hotel-prices/api-reference/rest#v3.accounts.hotels)
- [REST Resource: v3.accounts.icons](https://developers.google.com/hotels/hotel-prices/api-reference/rest#v3.accounts.icons)
- [REST Resource: v3.accounts.listings](https://developers.google.com/hotels/hotel-prices/api-reference/rest#v3.accounts.listings)
- [REST Resource: v3.accounts.participationReportViews](https://developers.google.com/hotels/hotel-prices/api-reference/rest#v3.accounts.participationReportViews)
- [REST Resource: v3.accounts.priceAccuracyViews](https://developers.google.com/hotels/hotel-prices/api-reference/rest#v3.accounts.priceAccuracyViews)
- [REST Resource: v3.accounts.priceCoverageViews](https://developers.google.com/hotels/hotel-prices/api-reference/rest#v3.accounts.priceCoverageViews)
- [REST Resource: v3.accounts.priceViews](https://developers.google.com/hotels/hotel-prices/api-reference/rest#v3.accounts.priceViews)
- [REST Resource: v3.accounts.propertyPerformanceReportViews](https://developers.google.com/hotels/hotel-prices/api-reference/rest#v3.accounts.propertyPerformanceReportViews)
- [REST Resource: v3.accounts.reconciliationReports](https://developers.google.com/hotels/hotel-prices/api-reference/rest#v3.accounts.reconciliationReports)

## Service: travelpartner.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- <https://travelpartner.googleapis.com/$discovery/rest?version=v3>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://travelpartner.googleapis.com`

## REST Resource: [v3.accounts.accountLinks](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.accountLinks)

| Methods ||
|---|---|
| `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.accountLinks/create` | `POST /v3/{parent=accounts/*}/accountLinks` Creates a new account link between a Hotel Center account and a Google Ads account. |
| `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.accountLinks/delete` | `DELETE /v3/{name=accounts/*/accountLinks/*}` Deletes an account link. |
| `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.accountLinks/get` | `GET /v3/{name=accounts/*/accountLinks/*}` Returns the `AccountLink` instance associated with the account link resource name specified in the request URL. |
| `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.accountLinks/list` | `GET /v3/{parent=accounts/*}/accountLinks` Returns the account links for a Hotel Center account. |
| `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.accountLinks/patch` | `PATCH /v3/{accountLink.name=accounts/*/accountLinks/*}` Updates the account link target of an account link. |

## REST Resource: [v3.accounts.brands](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.brands)

| Methods ||
|---|---|
| `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.brands/create` | `POST /v3/{parent=accounts/*}/brands` Creates a new brand. |
| `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.brands/get` | `GET /v3/{name=accounts/*/brands/*}` Returns the `Brand` instance associated with the request URI's brand resource name. |
| `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.brands/list` | `GET /v3/{parent=accounts/*}/brands` Returns the brands for a partner account. |
| `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.brands/patch` | `PATCH /v3/{brand.name=accounts/*/brands/*}` Updates a brand. |

## REST Resource: [v3.accounts.freeBookingLinksReportViews](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.freeBookingLinksReportViews)

| Methods ||
|---|---|
| `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.freeBookingLinksReportViews/query (deprecated)` | `GET /v3/{name=accounts/*}/freeBookingLinksReportViews:query` **DEPRECATED:** Use `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.propertyPerformanceReportViews/query#google.travel.travelpartner.v3.PropertyPerformanceReportService.QueryPropertyPerformanceReport`, which also has impression reporting, instead. |

## REST Resource: [v3.accounts.hotelViews](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotelViews)

| Methods ||
|---|---|
| `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotelViews/list` | `GET /v3/{parent=accounts/*}/hotelViews` Returns the list of hotel views. |
| `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotelViews/summarize` | `GET /v3/{parent=accounts/*}/hotelViews:summarize` Returns summarized information about hotels. |

## REST Resource: [v3.accounts.hotels](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotels)

| Methods ||
|---|---|
| `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotels/setLiveOnGoogle` | `POST /v3/{account=accounts/*}/hotels:setLiveOnGoogle` Collection-level custom method to update the Live on Google status for multiple properties. |

## REST Resource: [v3.accounts.icons](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.icons)

| Methods ||
|---|---|
| `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.icons/create` | `POST /v3/{parent=accounts/*}/icons` Uploads a new icon and starts its review process. |
| `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.icons/get` | `GET /v3/{name=accounts/*/icons/*}` Returns the `Icon` instance associated with an icon resource name specified in the request URI. |
| `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.icons/list` | `GET /v3/{parent=accounts/*}/icons` Returns the `Icon`s for a partner account. |

## REST Resource: [v3.accounts.listings](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.listings)

| Methods ||
|---|---|
| `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.listings/verify` | `POST /v3/{parent=accounts/*}/listings:verify` Returns verified listings with data issues and serving eligibilities for VR partners only. |

## REST Resource: [v3.accounts.participationReportViews](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.participationReportViews)

| Methods ||
|---|---|
| `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.participationReportViews/query` | `GET /v3/{name=accounts/*}/participationReportViews:query` Provides the ability to query (get, filter, and segment) a participation report for a particular account. |

## REST Resource: [v3.accounts.priceAccuracyViews](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceAccuracyViews)

| Methods ||
|---|---|
| `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceAccuracyViews/get` | `GET /v3/{name=accounts/*/priceAccuracyViews/*}` Returns the requested price accuracy view in full detail. |
| `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceAccuracyViews/list` | `GET /v3/{parent=accounts/*}/priceAccuracyViews` Lists the available price accuracy views. |
| `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceAccuracyViews/summarize` | `GET /v3/{parent=accounts/*}/priceAccuracyViews:summarize` Returns the price accuracy summary. |

## REST Resource: [v3.accounts.priceCoverageViews](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceCoverageViews)

| Methods ||
|---|---|
| `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceCoverageViews/getLatest` | `GET /v3/{parent=accounts/*}/priceCoverageViews:latest` Returns the latest price coverage view in full detail. |
| `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceCoverageViews/list` | `GET /v3/{parent=accounts/*}/priceCoverageViews` Returns the entire price coverage history. |

## REST Resource: [v3.accounts.priceViews](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceViews)

| Methods ||
|---|---|
| `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceViews/get` | `GET /v3/{name=accounts/*/priceViews/*}` Returns the requested price view in full detail. |

## REST Resource: [v3.accounts.propertyPerformanceReportViews](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.propertyPerformanceReportViews)

| Methods ||
|---|---|
| `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.propertyPerformanceReportViews/query` | `GET /v3/{name=accounts/*}/propertyPerformanceReportViews:query` Provides the ability to query (get, filter, and segment) a free booking links report for a specific account. |

## REST Resource: [v3.accounts.reconciliationReports](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.reconciliationReports)

| Methods ||
|---|---|
| `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.reconciliationReports/create` | `POST /v3/{parent=accounts/*}/reconciliationReports` Creates a reconciliation report and uploads it to Google. |
| `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.reconciliationReports/get` | `GET /v3/{name=accounts/*/reconciliationReports/*}` Returns a reconciliation report. |
| `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.reconciliationReports/list` | `GET /v3/{parent=accounts/*}/reconciliationReports` Returns a list of the names of created reconciliation reports. |
| `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.reconciliationReports/validate` | `POST /v3/{parent=accounts/*}/reconciliationReports:validate` Validates a reconciliation report. |